com.mockobjects.constraint

## Class IsEventFrom

- java.lang.Object
- - com.mockobjects.constraint.IsEventFrom

All Implemented Interfaces:
  Constraint

    public class IsEventFrom
    extends java.lang.Object
    implements Constraint

Tests if the value is an event announced by a specific object.

### Constructor Summary

Constructors
Constructor and Description
`IsEventFrom(java.lang.Class event_class, java.lang.Object source)` Constructs an IsEventFrom predicate that returns true for any object derived from event_class announced by source.
`IsEventFrom(java.lang.Object source)` Constructs an IsEventFrom predicate that returns true for any object derived from `EventObject` announced by source.

### Method Summary

Methods
`boolean` `eval(java.lang.Object o)` Evaluates the constraint for argument o.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IsEventFrom

    public IsEventFrom(java.lang.Object source)

Constructs an IsEventFrom predicate that returns true for any object derived from `EventObject` announced by source.

#### IsEventFrom

    public IsEventFrom(java.lang.Class event_class,
               java.lang.Object source)

Constructs an IsEventFrom predicate that returns true for any object derived from event_class announced by source.

### Method Detail

#### eval

    public boolean eval(java.lang.Object o)

Description copied from interface: `Constraint`
Evaluates the constraint for argument o.

Specified by:
  `eval` in interface `Constraint`
Returns:
  `true` if o meets the constraint, `false` if it does not.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`